You are here

V-066: Adobe Acrobat/Reader Multiple Flaws Lets Remote Users Execute Arbitrary Code and Local Users Gain Elevated Privileges

January 10, 2013 - 2:00am

Addthis

PROBLEM:

Adobe Acrobat/Reader Multiple Flaws Lets Remote Users Execute Arbitrary Code and Local Users Gain Elevated Privileges

PLATFORM:

•Adobe Reader XI (11.0.0) for Windows and Macintosh
•Adobe Reader X (10.1.4) and earlier 10.x versions for Windows and Macintosh
•Adobe Reader 9.5.2 and earlier 9.x versions for Windows and Macintosh
•Adobe Reader 9.5.1 and earlier 9.x versions for Linux
•Adobe Acrobat XI (11.0.0) for Windows and Macintosh
•Adobe Acrobat X (10.1.4) and earlier 10.x versions for Windows and Macintosh
•Adobe Acrobat 9.5.2 and earlier 9.x versions for Windows and Macintosh

ABSTRACT:

Multiple vulnerabilities have been reported in Adobe Reader and Adobe Acrobat

REFERENCE LINKS:

Adobe Security Bulletin APSB13-02
Secunia Advisory SA51791
SecurityTracker Alert ID:  1027952

CVE-2012-1530, CVE-2013-0601, CVE-2013-0602, CVE-2013-0603, CVE-2013-0604,

CVE-2013-0605, CVE-2013-0606, CVE-2013-0607, CVE-2013-0608, CVE-2013-0609,

CVE-2013-0610, CVE-2013-0611, CVE-2013-0612, CVE-2013-0613,CVE-2013-0614,

CVE-2013-0615, CVE-2013-0616, CVE-2013-0617, CVE-2013-0618, CVE-2013-0619,

CVE-2013-0620,CVE-2013-0621, CVE-2013-0622, CVE-2013-0623, CVE-2013-0624,

CVE-2013-0626, CVE-2013-0627

IMPACT ASSESSMENT:

High

DISCUSSION:

Multiple vulnerabilities have been reported in Adobe Reader and Adobe Acrobat, which can be exploited by malicious, local users to gain escalated privileges and by malicious people to bypass certain security restrictions and compromise a user's system.

1) An unspecified error can be exploited to corrupt memory.

2) Some unspecified errors can be exploited to corrupt memory.

3) Another unspecified error can be exploited to corrupt memory.

4) A use-after-free error can be exploited to dereference already freed memory.

5) An unspecified error can be exploited to cause a heap-based buffer overflow.

6) Another unspecified error can be exploited to cause a heap-based buffer overflow.

7) An unspecified error can be exploited to cause a stack-based buffer overflow.

8) Another unspecified error can be exploited to cause a stack-based buffer overflow.

9) Some unspecified errors can be exploited to cause buffer overflows.

10) Some integer overflow errors can be exploited to corrupt memory.

11) An unspecified error can be exploited to gain escalated privileges.

12) Some unspecified logic errors can be exploited to execute arbitrary code.

13) An unspecified error can be exploited to bypass certain security restrictions.

14) Another unspecified error can be exploited to bypass certain security restrictions.

Successful exploitation of vulnerabilities #1 through #10 and #12 may allow execution of arbitrary code.

IMPACT:

A remote user can create content that, when loaded by the target user, will execute arbitrary code on the target user's system.

A local user can obtain elevated privileges on the target system.

A user can bypass security restrictions.

SOLUTION:

Adobe recommends users update their software installations

Addthis